Bug 1460986 - Missing content when open the Subscription Manager Manual on RHEL-7.4-Server-ppc64-20170608.3
Missing content when open the Subscription Manager Manual on RHEL-7.4-Server-...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: yelp (Show other bugs)
7.4
Unspecified Unspecified
high Severity medium
: rc
: ---
Assigned To: Matthew Barnes
Desktop QE
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-13 06:12 EDT by Wei Liu
Modified: 2017-06-27 10:09 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
no_content.png (279.79 KB, image/png)
2017-06-13 06:12 EDT, Wei Liu
no flags Details
the rhsm log (584 bytes, text/plain)
2017-06-13 06:12 EDT, Wei Liu
no flags Details
s390x_no_content (210.12 KB, image/png)
2017-06-14 01:54 EDT, Wei Liu
no flags Details
gedit_help.png (60.03 KB, image/png)
2017-06-19 22:10 EDT, Wei Liu
no flags Details
Getting Started (66.01 KB, image/png)
2017-06-20 08:44 EDT, John Sefler
no flags Details
yelp-strace.log (87.59 KB, text/plain)
2017-06-23 03:50 EDT, Wei Liu
no flags Details

  None (edit)
Description Wei Liu 2017-06-13 06:12:10 EDT
Created attachment 1287208 [details]
no_content.png

Description of problem:
Missing content when open the Subscription Manager Manual,the content is blank

Version-Release number of selected component (if applicable):
SAM-1.4.1-RHEL-6-20141113.0
python-rhsm-1.19.8-1.el7.ppc64
subscription-manager-1.19.17-1.el7.ppc64
subscription-manager-initial-setup-addon-1.19.17-1.el7.ppc64
python-rhsm-certificates-1.19.8-1.el7.ppc64
subscription-manager-gui-1.19.17-1.el7.ppc64

How reproducible:
always

Steps to Reproduce:
1.Install build RHEL-7.4-Server-ppc64-20170608.3
2.open the subscription manager GUI
#subscription-manager-gui
3.Click menu item Help->Getting Started to open the Subscription Manager Manual,the window is blank,no content was shown(see attachment no_content.png)
 
Actual results:
As step 3.

Expected results:
After step 3, the Subscription Manager Manual should display correctly

Additional info:
Comment 2 Wei Liu 2017-06-13 06:12 EDT
Created attachment 1287209 [details]
the rhsm log
Comment 3 Wei Liu 2017-06-14 01:54 EDT
Created attachment 1287516 [details]
s390x_no_content
Comment 4 Wei Liu 2017-06-14 01:56:22 EDT
This issue also exists on RHEL-7.4-Server-s390x-20170608.3,The details please check the attachment s390x_no_content.
Comment 5 Kevin Howell 2017-06-19 10:37:39 EDT
Can you view help documentation for other GUI applications on this system?
Comment 6 Wei Liu 2017-06-19 22:09:08 EDT
I try again on RHEL-7.4-Server-ppc64-20170616.3 and check the help documentation of gedit Text Editor.The help content is blank too,the gui result please see the attachment gedit_help.png.
Comment 7 Wei Liu 2017-06-19 22:10 EDT
Created attachment 1289377 [details]
gedit_help.png
Comment 8 John Sefler 2017-06-20 08:44 EDT
Created attachment 1289639 [details]
Getting Started

The display of Getting Started help works for me.
I have a ppc64le RHEL-7.4-20170616.3 system checked out from beaker right now.
After 'yum groupinstall "Server with GUI"', I can successfully run subscription-manager-gui and click Help>Getting Started and the help window loads as expected.
Comment 9 John Sefler 2017-06-20 08:48:18 EDT
Sorry - I just realized that my system in comment 8 is ppc64le and this bug report is against ppc64.
Comment 10 Jiri Hnidek 2017-06-22 04:22:26 EDT
Hi all,
I would move this error you yelp component, when it wasn't possible to display documentation in other application. It seems as regression in yelp.

You can also try run following command from console:

yelp /usr/share/gnome/help/subscription-manager/C/subscription-manager.xml

It should open documentation of subsciption-manager-gui. May be it will print some errors. When it will not print any error to console, ten you can try run following command:

strace -o yelp-strace.log yelp /usr/share/gnome/help/subscription-manager/C/subscription-manager.xml

Log file will include all system calls and signals.
Comment 11 Wei Liu 2017-06-23 03:50 EDT
Created attachment 1290916 [details]
yelp-strace.log
Comment 12 Wei Liu 2017-06-23 03:52:54 EDT
HI I try again on RHEL-7.4-Server-ppc64-20170616.3:
1.run #yelp /usr/share/gnome/help/subscription-manager/C/subscription-manager.xml
2. after no error to console then run #strace -o yelp-strace.log yelp /usr/share/gnome/help/subscription-manager/C/subscription-manager.xml
3.the yelp-strace.log please see the attachment.
Comment 13 Jiri Hnidek 2017-06-27 10:09:17 EDT
When I run strace at my computer it is 10 time bigger. Yelp doesn't try to load fonts, icons, etc. at ppc64.

I'm moving this to yelp component, because it seems as regression in yelp (yelp is not able do display any documentation for gedit at this platform too).

Note You need to log in before you can comment on or make changes to this bug.